/* TODControler */

#import <Cocoa/Cocoa.h>

#import <ChangeItem.h>


@interface TODControler : NSObject
{
    IBOutlet id _sheetDialog;
    IBOutlet id _window;
    IBOutlet id _sheetErrorDialog;
    IBOutlet id _sheetConfirmDialog;
    IBOutlet id _sheetVersionDialog;
    IBOutlet id view;
    IBOutlet id progress;

	NSString* strSaveAppPath;
}

- (void)awakeFromNib;
- (BOOL)applicationShouldTerminateAfterLastWindowClosed : (NSApplication *) theApplication;

- (IBAction)showConfirmSheet:(id)sender;
- (void)sheetConfirmDidEnd:(NSWindow*)sheet returnCode:(int)returnCode contextInfo:(void*)contextInfo;
- (IBAction)sheetConfirmOk:(id)sender;
- (IBAction)sheetConfirmCancel:(id)sender;

- (IBAction)showSuccessSheet:(id)sender;
- (void)sheetDidEnd:(NSWindow*)sheet returnCode:(int)returnCode contextInfo:(void*)contextInfo;
- (IBAction)sheetOk:(id)sender;

- (IBAction)showErrorSheet:(id)sender;
- (void)sheetErrorDidEnd:(NSWindow*)sheet returnCode:(int)returnCode contextInfo:(void*)contextInfo;
- (IBAction)sheetErrorOk:(id)sender;

- (IBAction)showVersionSheet:(id)sender;
- (void)sheetVersionDidEnd:(NSWindow*)sheet returnCode:(int)returnCode contextInfo:(void*)contextInfo;
- (IBAction)sheetVersionOk:(id)sender;

- (void)goUpdate:(NSNotification *)notif;
- (void)ExecUpdate:(NSString *)strAppPath;
@end
